*:focus {
  outline: none;
}

body {
  caret-color: transparent;
}

.error { color: red; margin-top: 10px; }
:root{
    --yellow:#f9c606;     /* main golden used in title (slightly adjusted) */
    --yellow-strong:#ffb423;
    --yellow-light:#f6e597; /* pale panel */
    --purple:#695778;      /* main purple */
    --purple-dark: #4A4057; /* dark purple for headings */
    --purple-darkmuted: #88719C;
    --muted:#D9D3DE;
    --light-purple: #efeef7;
    --bg:#ffffff;
    --card-shadow: 0 0px 28px rgba(79,58,108,0.25);
    --soft-shadow: 0 6px 18px rgba(79,58,108,0.06);
    --radius-lg:18px;
    --radius-xl:22px;
}

html,body{
    height:100%;
    margin:0;
    font-family: "Open Sans", sans-serif;
    background:var(--bg);
    color: #222;
    -webkit-font-smoothing:antialiased;
    -moz-osx-font-smoothing:grayscale;
    overflow-x: hidden;
}

/* Page container */
.wrap{
  max-width:1300px;
  margin:0px auto 0px;
  padding: 30px 36px;
  box-sizing:border-box;
}

/* TOP: hero left + provider card right */
.top{
    display:grid;
    grid-template-columns: 1fr minmax(320px, 420px);
    gap:20px;
    align-items:start;
    margin-bottom:58px;
    flex-wrap: wrap;    
}

/* HERO left column */
.hero{
    display: flex;
    align-items: flex;
}

.title{
    margin:6px 0 0px 0;
    color:var(--purple-dark);
    font-family: "Raleway", sans-serif;
    font-weight:600;
    font-size:56px;
    line-height:0.98;
    letter-spacing:0.6px;
}

.hero p{
    max-width:540px;
    color:#66606f;
    font-size:16px;
    line-height:1.6;
    margin:0;
    font-weight:400;
}

/* GEEL SPREEKWOLKJE */
.speech-bubble {
    width: 210px;               
    height: 180px; 
    min-width: 160px;
    min-height: 160px;             
    background: var(--yellow);
    color: var(--purple-dark);
    border-radius: 50%;         
    display: flex;              
    align-items: center;        
    justify-content: center;    
    text-align: center;         
    font-family: "Open Sans", sans-serif;
    font-weight: 700;
    font-size: 20px;
    padding: 30px;
    position: relative;
    box-shadow: 0 8px 18px rgba(0,0,0,0.18);
}

/* staartje van spreekwolkje */
.speech-bubble::after {
    content: "";
    position: absolute;
    bottom: 0px;
    left: 35%;      /* midden */
    transform: translateX(-50%) rotate(-10deg);
    width: 0;
    height: 0;
    border-left: 14px solid transparent;
    border-right: 50px solid transparent;
    border-bottom: 20px solid var(--yellow);
}


.code-image {
  width: 100%;
  max-width: 500px;
  margin: 0 0 10px 0 ;
  border-radius: 8px;
}

.code-input {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  margin: 0 0 10px 0 ;
  font-size: 22px;
}

.code-input input {
  width: 80px;
  text-align: center;
  font-size: 20px;
  padding: 5px;
  caret-color: var(--purple);
  border-radius: 10px;
  border-color: lightgrey;
}

.code-input input:focus {
  border: 2px solid var(--purple);
  animation: focusLine 0.2s ease-out;
}

/* GENERIEKE OVERLAY */
.overlay {
  position: fixed;
  inset: 0;
  background: rgba(255,255,255,0.8);
  display: none;
  align-items: center;
  justify-content: center;
  z-index: 1200;
}

.overlay.active {
  display: flex;
}

.overlay-content {
  background: white;
  padding: 30px;
  border-radius: 16px;
  width: 360px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.25);
  font-family: "Open Sans", sans-serif;
  position: relative;
}

.overlay-content h3 {
  font-family: "Raleway", sans-serif;
  color: var(--purple-dark);
  margin-top: 0;
}

.overlay-content label {
  display: block;
  margin-top: 20px;
  margin-bottom: 6px;
  font-weight: 600;
}

.overlay-content select {
  width: 90%;
  padding: 10px;
  border-radius: 10px;
  border: 2px solid #EEE6F7;
  font-family: "Open Sans", sans-serif;
  margin-bottom: 10px;
}

#patientOverlay {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.75);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999999;
}

.patient-box {
  background: white;
  padding: 30px;
  border-radius: 12px;
  width: 90%;
  max-width: 500px;
  text-align: center;
}

.patient-box button {
  background: #6a1b9a;
  color: white;
  border: none;
  padding: 12px 20px;
  border-radius: 8px;
  cursor: pointer;
  width: 100%;
}

.patient-box button:hover {
  opacity: 0.9;
}

#folderOverlay .close-btn {
  position: absolute;
  top: 12px;
  right: 12px;
  font-size: 26px;
  background: none;
  border: none;
  cursor: pointer;
  color: var(--purple-dark);
  z-index: 10;
}

.purple-button {
    padding:10px 20px;
    margin-bottom: 20px;
    border-radius: 20px;
    background-color: var(--purple-dark);
    color: white;
    font-family: "Raleway", sans-serif;
    box-shadow: 0 0px 3px rgba(0, 0, 0, 0.27);
}

.purple-button:hover {
    box-shadow: 0 0px 10px rgba(0, 0, 0, 0.27);
    background-color: var(--purple);
}

/* taalbuttons rechtsboven */
.language-switcher ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    text-align: right;
    padding: 20px 40px 0px 40px;
    justify-content: flex-end;
}

.language-switcher a {
    text-decoration: none;
    color: var(--purple-dark);
    font-weight: bold;
    padding: 5px;
    border-radius: 4px;
    display: inline-block;
    transition: transform 0.2s ease, color 0.2s ease, text-shadow 0.2s ease;
}

.language-switcher a.active {
    background-color: var(--purple-dark);
    color: white;
    box-shadow: 0 10px 30px rgba(0,0,0,0.25);
    cursor: default;
}

.language-switcher a.unactive:hover {
  color: var(--purple);
  text-shadow: 0 0px 5px rgba(0,0,0,0.25);
  transform: scale(1.2);
}

.language-switcher li:not(:last-child)::after {
  content: "|";
  margin: 0 10px;
  color: var(--purple);
}

.icon {
    width: 30px;
}

/* ---------- VIDEO ---------- */
/* ---------- VIDEO ---------- */
.video-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.8);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
}

.video-overlay.active {
    display: flex;
}

.video-container {
    position: relative;
    max-width: 95%;
    max-height: 90vh;
    display: inline-block;
}

.video-container video {
    max-width: 100%;
    max-height: 90vh;
    width: auto;
    height: auto;
}

.close-btn {
    position: absolute;
    top: -40px;
    right: 0;
    background: none;
    border: none;
    font-size: 32px;
    color: var(--purple-dark);
    cursor: pointer;
}

#folderOverlay .close-btn:hover, .close-btn:hover {
    color: var(--dark-purple);
    text-shadow: 0 6px 18px rgba(0,0,0,0.25);
}

@keyframes spin {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}

/* icon button circular */
.icon-btn{
    display:flex;
    width:44px;
    height:44px;
    border-radius:50%;
    align-items:center;
    justify-content:center;
    background:transparent;
    border: none;
    text-decoration:none;
    color:var(--purple-dark);
    box-shadow:none;
    transition: all .2s ease;
    outline: none;
}

/* schaduw icon button */
.icon-background{
    background:white;
    box-shadow: 0 0px 10px rgba(0, 0, 0, 0.25);
}

.icon-btn svg{
    width:18px;
    height:18px;
    display:block;
}

.flag {
    height: 23px;
    width: 23px;
    object-fit: cover;
    border-radius: 50%;
}

/* Campagne foto */
.image-cell {
    grid-column: 4 / 5; /* uiterste rechter kolom*/
    grid-row: 1 / span 2;
    background:var(--yellow-light);
    display: flex;
    align-items: stretch;
    justify-content: stretch;
    padding: 0 !important;
    margin: 0 !important; 
    overflow: hidden;
    position: relative;
}

.image-cell img {
    width: 580px;
    height: auto;
    object-fit: cover; /* zorgt dat hele container gevuld wordt */
    display: block;
    margin: 0 !important;
    padding: 0 !important;
    transform: none; 
    border: none; 
    position: absolute;
    right: -70px;
    bottom: -45px;
}

.image-cell2 {
    background-color: var(--yellow);
    position: relative;
    overflow: visible;   /* SUPER belangrijk */
    min-height: 160px;
}

.floating-image {
    position: absolute;
    left: 0px;
    bottom: 0px;
    width: 250px;
    height: auto; 
    max-width: none;
    pointer-events: none;
    z-index: 10;       /* boven andere elementen */
    transform: rotate(60deg) scaleX(-1);
}

/* Opmaak van blokjes in verschillende kleuren */
.card-lightpurple {
  background: var(--light-purple) !important;
  color: var(--purple-dark) !important;
}
.card-purple {
    background: var(--purple) !important;
    color: #fff !important;
}
.card-muted {
  background: var(--muted) !important;
  color: var(--purple-dark) !important;
}
.card-purpledark {
  background: var(--purple-darkmuted) !important;
  color: white !important;
}
.card-mutedyellow {
  background: var(--yellow-light) !important;
  color: var(--purple-dark) !important;
}
.card-yellow {
  background: var(--yellow) !important;
  color: var(--purple-dark) !important;
}
.card-yellowdark {
  background: var(--yellow-strong) !important;
  color: var(--purple-dark) !important;
}

/* Styling van kaartjes */
.patient-card, .patient-cardvideo {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding:22px 35px;
  min-height: 110px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
  transition: all 0.2s ease;
  text-decoration:none;
}

.patient-card .label, .patient-cardvideo .label{
  font-family:"Open Sans", sans-serif;
  font-weight:700;
  font-size:24px;
  text-align: left;
}

.patient-card::before, .patient-cardvideo::before {
  content: "";
  position: absolute;
  inset: 0;
  background: rgba(255,255,255,0.08); /* lichte waas */
  opacity: 0;
  transition: opacity 0.2s ease;
  pointer-events: none;
}

.patient-card:hover::before {
  opacity: 1;
}
.icon-btn {
  transition: transform 0.2s ease;
}
.patient-card .icon-group{
  display:flex;
  margin: 10px 30px 10px 30px;
  gap:10px;
  align-items:center;
}

/* styling voor kaartjes met video's erachter */
.video-options {
  display: flex;
  gap: 16px;
  flex-shrink: 0;
  margin-left: 10px;
}

.video-option {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 4px;

  background: white;
  border: none;
  cursor: pointer;

  padding: 6px 8px;
  border-radius: 12px;

  will-change: transform;
}
.video-lang {
  font-size: 14px;
  font-weight: 600;
  font-family: "Open Sans", sans-serif;
}

/* icoon laten reageren wanneer je met de muis erover heen gaat */
.patient-card:hover .icon-background {
  box-shadow: 0 0 18px rgba(0,0,0,0.45);
  z-index: 10;
}

.patient-card:hover .icon-btn,
.video-option:hover .icon-btn {
  transform: scale(1.2);
  will-change: transform;
}

.video-option:hover {
  box-shadow: 0 0 18px rgba(0,0,0,0.45);
  transform: translateY(-3px);
  will-change: transform;
}

.video-card {
  cursor: default;
}

/* zorgen dat kaartjes met foto's geen hover effect oid hebben */
.image-cell.patient-card:hover {
    box-shadow: none !important;
    filter: none !important;
    cursor: default;
}

.image-cell.patient-card::before {
    display: none !important;
}
  
/* styling van tabel waar alle kaartjes in staan */
.patient-grid{
  display:grid;
  width: 100%;
  grid-template-columns: repeat(4, 1fr);
  align-items: stretch;
  gap:0;
  grid-auto-rows: 160px;
}

/* ---------- FOOTER ---------- */
.footer {
  margin-top: 30px;
  display: flex;
  justify-content: space-between;
  grid-template-columns: 1fr auto 1fr;
  align-items: flex-end;
  flex-wrap: wrap;
  gap: 18px;
}
.footer .center {
  font-size: 10px;
  font-family: "Open Sans", sans-serif;
  font-weight: 500px;
  text-align: left;
  color: var(--purple-dark);
  line-height: 1.4;
}

.footer .logo.merz {
  max-height: 40px;
}

.footer .logo.INBRIJA {
  max-height: 70px;
}

@media (min-width:2000px){
  .image-cell img {
    width: 700px;
    height: auto;
    right: 0px;
    bottom: -100px;
  }
}

@media (min-width:1600px){
  .wrap {
    max-width: 1500px;
  }
}

@media (max-width:1400px){
  .video-options {
    gap: 5px;
  }
  .label {
    hyphens: auto;
  }
  .image-cell img {
    right: -115px;
  }
}
/* ---------- Schalen van code op beeldscherm ---------- */
@media (max-width:1250px){
  .patient-grid{
    grid-template-columns: repeat(2, 1fr);
  }
  .image-cell{
    grid-column: 1 / -1;   /* volle breedte */
    grid-row: auto;
  }
  .footer .logo.merz {
    max-height: 30px;
  }
  .footer .logo.INBRIJA {
    max-height: 40px;
  }
  .patient-card{
    min-height: 60px;
    padding: 20px;
  }
  .video-option {
    min-width: 80px;
    padding: 8px 10px;
  }
  .label {
    hyphens: manual;
    white-space: normal;
  }
  .image-cell {
    min-height: 450px !important;
  }
  .image-cell img {
    width: 1300px;
    height: auto;
    bottom: -340px;
    right: 0px;
  }
}
@media (max-width:950px){
  .image-cell img {
    width: 1000px;
    bottom: -160px;
    right: 0px;
  }
}

/* Responsive: kaarten onder elkaar */
@media (max-width:740px){
  .top{
    grid-template-columns: 1fr;
  }  
  .patient-grid{
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }
  .image-cell{
    grid-column: auto;
    grid-row: auto;
  }
  .image-cell img {
    width: 800px;
    bottom: -30px;
    right: -20px;
  }
}

@media (max-width:550px){
  .image-cell img {
    right: -130px;
    bottom: -30px;
  }
}

@media (max-width:400px){
  .video-option {
    min-width: 40px;
  }
  .title {
    font-size:40px;
  }
  .patient-card .label, .patient-cardvideo .label {
    font-size: 20px;
  }
  .image-cell img {
    right: -190px;
    bottom: -20px;
  }
}